# Interface SelectionOption

public interface SelectionOption

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
`String`
`getText()`
`String`
`getValue()`
`void`
`initialize(String text, String value, boolean defaultSelected, boolean selected)`
`boolean`
`isDefaultSelected()`
`boolean`
`isSelected()`
`void`
`setSelected(boolean selected)`
`void`
`setText(String text)`
`void`
`setValue(String value)`

## Method Details

### getText

String getText()

### setText

void setText(String text)

### getValue

String getValue()

### setValue

void setValue(String value)

### isDefaultSelected

boolean isDefaultSelected()

### isSelected

boolean isSelected()

### setSelected

void setSelected(boolean selected)

### getIndex

int getIndex()

### initialize

void initialize(String text, String value, boolean defaultSelected, boolean selected)